#include <IRremote.h>

const int RECV_PIN = 7;
IRrecv irrecv(RECV_PIN);
decode_results results;
unsigned long key_value = 0;

int uvled = 6;
int redpin = 11;
int greenpin = 10;
int bluepin = 9;

void setup(){
  Serial.begin(9600);
  irrecv.enableIRIn();
  irrecv.blink13(true);
  pinMode(uvled, OUTPUT); 
  pinMode(redpin, OUTPUT);
  pinMode(greenpin, OUTPUT);
  pinMode(bluepin, OUTPUT);
}

void loop(){ 
  if (irrecv.decode(&results)){
 
        if (results.value == 0XFFFFFFFF)
          results.value = key_value;

        switch(results.value){
          case 0xFFA25D:
          Serial.println("Power");
          setColor(255, 0, 255);
          delay(1000);
          setColor(0,0,0);
          break;
          case 0xFF629D:
          Serial.println("CH");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break;
          case 0xFFE21D:
          Serial.println("CH+");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break;
          case 0xFF22DD:
          Serial.println("|<<");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break;
          case 0xFF02FD:
          Serial.println("Enter");
          setColor(255, 255, 255);
          delay(1000);
          setColor(0,0,0);
          break ;  
          case 0xFFC23D:
          Serial.println(">|");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break ;               
          case 0xFFE01F:
          Serial.println("Down");
          setColor(0, 255, 0);
          delay(1000);
          setColor(0,0,0);
          break ;  
          case 0xFFA857:
          Serial.println("+");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break ;  
          case 0xFF906F:
          Serial.println("Up");
          setColor(255, 0, 0);
          delay(1000);
          setColor(0,0,0);
          break ;  
          case 0xFF6897:
          Serial.println("0");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break ;  
          case 0xFF9867:
          Serial.println("100+");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break ;
          case 0xFFB04F:
          Serial.println("200+");
          setColor(255, 0, 0);
          delay(250);
          setColor(0,0,0);
          break ;
          case 0xFF30CF:
          Serial.println("1");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF18E7:
          Serial.println("2");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF7A85:
          Serial.println("3");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF10EF:
          Serial.println("4");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF38C7:
          Serial.println("5");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF5AA5:
          Serial.println("6");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF42BD:
          Serial.println("7");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF4AB5:
          Serial.println("8");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;
          case 0xFF52AD:
          Serial.println("9");
          setColor(0, 255, 255);
          delay(50);
          setColor(0,0,0);
          break ;      
        } 
        key_value = results.value;
        irrecv.resume(); 
  }
  
  digitalWrite(uvled, HIGH);
  
}

void setColor(int red, int green, int blue)
{
  #ifdef COMMON_ANODE
    red = 255 - red;
    green = 255 - green;
    blue = 255 - blue;
  #endif
  analogWrite(redpin, red);
  analogWrite(greenpin, green);
  analogWrite(bluepin, blue);  
}
